# This file created by conda-build 3.19.2
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Mon May  4 07:34:15 2020
# ------------------------------------------------

package:
    name: r-rwave
    version: '2.4_8'
source:
    fn: Rwave_2.4-8.tar.gz
    sha256: 70670b42b07ceb99b03bc2282654fcc1063be2851e62b7418c9aa02ca4e7b8e6
    url:
        - https://cran.r-project.org/src/contrib/Archive/Rwave/Rwave_2.4-8.tar.gz
        - https://cran.r-project.org/src/contrib/Rwave_2.4-8.tar.gz
build:
    merge_build_host: true
    number: '1002'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r36hda5aaf8_1002
requirements:
    build:
        - m2-bash 4.3.042 5
        - m2-coreutils 8.25 102
        - m2-filesystem 2016.04 4
        - m2-gcc-libs 5.3.0 4
        - m2-gmp 6.1.0 3
        - m2-libbz2 1.0.6 3
        - m2-libiconv 1.14 3
        - m2-libintl 0.19.7 4
        - m2-make 4.1 5
        - m2-msys2-runtime 2.5.0.17080.65c939c 3
        - m2-sed 4.2.2 3
        - m2-zip 3.0 2
        - m2w64-binutils 2.25.1 5
        - m2w64-bzip2 1.0.6 6
        - m2w64-crt-git 5.0.0.4636.2595836 2
        - m2w64-gcc 5.3.0 6
        - m2w64-gcc-ada 5.3.0 6
        - m2w64-gcc-fortran 5.3.0 6
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gcc-objc 5.3.0 6
        - m2w64-gmp 6.1.0 2
        - m2w64-headers-git 5.0.0.4636.c0ad18a 2
        - m2w64-isl 0.16.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-make 4.1.2351.a80a8b8 2
        - m2w64-mpc 1.0.3 3
        - m2w64-mpfr 3.1.4 4
        - m2w64-pkg-config 0.29.1 2
        - m2w64-toolchain 5.3.0 7
        - m2w64-toolchain_win-64 2.4.0 0
        - m2w64-tools-git 5.0.0.4592.90b8472 2
        - m2w64-windows-default-manifest 6.4 3
        - m2w64-winpthreads-git 5.0.0.4634.697f757 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
    host:
        - _r-mutex 1.0.1 anacondar_1
        - intel-openmp 2020.0 166
        - libblas 3.8.0 15_mkl
        - liblapack 3.8.0 15_mkl
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 4
        - m2w64-mpfr 3.1.4 4
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - mkl 2020.0 166
        - msys2-conda-epoch 20160418 1
        - r-base 3.6.3 hf0ea6f9_2
    run:
        - m2w64-gcc-libs
        - r-base >=3.6,<3.7.0a0
test:
    commands:
        - '"%R%" -e "library(''Rwave'')"'
about:
    home: http://www.orfe.princeton.edu/~rcarmona/TFbook/tfbook.html, http://r-forge.r-project.org/projects/rwave/
    license: GPL (>= 2)
    license_family: GPL3
    license_file: D:\bld\r-rwave_1588577822427\_h_env/lib/R/share/licenses/GPL-3
    summary: 'A set of R functions which provide an environment for the Time-Frequency
        analysis of 1-D signals (and especially for the wavelet and Gabor transforms
        of noisy signals). It was originally written for Splus by Rene Carmona, Bruno
        Torresani, and Wen L. Hwang, first at the University of California at Irvine
        and then at Princeton University.  Credit should also be given to Andrea Wang
        whose functions on the dyadic wavelet transform are included. Rwave is based
        on the book: "Practical Time-Frequency Analysis: Gabor and Wavelet Transforms
        with an Implementation in S", by Rene Carmona, Wen L. Hwang and Bruno Torresani
        (1998, eBook ISBN:978008053942), Academic Press.'
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - bgruening
        - cbrueffer
        - conda-forge/r
        - daler
        - dbast
        - jdblischak
        - johanneskoester
